/* Input */
.bwd-gf-login-form #gform_fields_login input:not([type="checkbox"]) {
    width: var(--width-full);
    border-radius: 4px;
    border-color: var(--surface-700);
    padding: 0.5rem 0.5rem!important;
	background: var(--surface-0);
}

.bwd-gf-login-form #gform_fields_login input[type=checkbox] {
    border: 1px solid #8c8f94;
    border-radius: 4px;
    background: #fff;
    color: #50575e;
    clear: none;
    cursor: pointer;
    display: inline-block;
    line-height: 0;
    height: 1rem;
    margin: -.25rem .25rem 0 0;
    outline: 0;
    padding: 0 !important;
    text-align: center;
    vertical-align: middle;
    width: 1rem;
    min-width: 1rem;
    -webkit-appearance: none;
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, .1);
    transition: .05s border-color ease-in-out;
}

.bwd-gf-login-form #gform_fields_login input[type=checkbox]:checked::before {
    content: url(data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%27http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%27%20viewBox%3D%270%200%2020%2020%27%3E%3Cpath%20d%3D%27M14.83%204.89l1.34.94-5.81%208.38H9.02L5.78%209.67l1.34-1.25%202.57%202.4z%27%20fill%3D%27%233582c4%27%2F%3E%3C%2Fsvg%3E);
    margin: -.1875rem 0 0 -.25rem;
    height: 1.3125rem;
    width: 1.3125rem;
    display: inline-block;
    vertical-align: middle;
    speak: never;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.bwd-gf-login-form p:empty {
    display: none;
}

/* Button */
.bwd-gf-login-form .btn--primary {
    background-color: var(--primary);
    border-color: var(--primary);
    color: var(--surface-0);
	width: 100%;
}

.bwd-gf-login-form .btn--primary:is(:hover, :focus) {
    background-color: var(--primary-alt);
    border-color: var(--primary-alt);
    color: var(--surface-0);
}

/* Error Validation */
#gform_fields_login .gfield_error .gfield_label {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 4px;
    line-height: 1em;
}

#gform_fields_login .gfield_error .gfield_label:before {
    content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='18' viewBox='0 0 18 18'%3E%3Cg fill='%23c02b0a'%3E%3Cpath d='M16.437,12.516L11.012,3.12c-.42-.727-1.172-1.161-2.012-1.161s-1.592,.434-2.012,1.161L1.563,12.516c-.42,.727-.42,1.595,0,2.322,.42,.728,1.172,1.162,2.012,1.162H14.425c.84,0,1.592-.434,2.012-1.162,.42-.727,.42-1.595,0-2.322ZM8.25,6.5c0-.414,.336-.75,.75-.75s.75,.336,.75,.75v3.5c0,.414-.336,.75-.75,.75s-.75-.336-.75-.75v-3.5Zm.75,7.069c-.552,0-1-.449-1-1s.448-1,1-1,1,.449,1,1-.448,1-1,1Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");
}

#gform_fields_login .validation_message {
    border-radius: 4px;
}

/*---- [ Dark Background ] ----*/

/* Input */
.background--dark .bwd-gf-login-form #gform_fields_login input:not([type="checkbox"]) {
    border-color: var(--surface-100);
/*	color: var(--surface-0);*/
}

/* Button */
.background--dark .bwd-gf-login-form input[type=submit].btn--primary {
    background-color: var(--primary-100);
    border-color: var(--primary-200);
    color: var(--primary)
}

.background--dark .bwd-gf-login-form input[type=submit].btn--primary:is(:hover, :focus) {
    background-color: var(--primary-300);
    border-color: var(--primary-200);
    color: var(--primary-700);
}

/* Links */
.background--dark a,
.background--dark + div .bwd-link-forgotten {
	color: var(--surface-0)!important;
	text-decoration: none;
}

/* Required Field */
.background--dark .bwd-gf-login-form .gform_wrapper.gravity-theme .gfield_required {
	color: var(--surface-0)!important;
}

/* Error Validation */
.background--dark  #gform_fields_login .gfield_error .gfield_label {
    color: #f3846b;
}

.background--dark #gform_fields_login .gfield_error .gfield_label:before {
    content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='18' viewBox='0 0 18 18'%3E%3Cg fill='%23f3846b'%3E%3Cpath d='M16.437,12.516L11.012,3.12c-.42-.727-1.172-1.161-2.012-1.161s-1.592,.434-2.012,1.161L1.563,12.516c-.42,.727-.42,1.595,0,2.322,.42,.728,1.172,1.162,2.012,1.162H14.425c.84,0,1.592-.434,2.012-1.162,.42-.727,.42-1.595,0-2.322ZM8.25,6.5c0-.414,.336-.75,.75-.75s.75,.336,.75,.75v3.5c0,.414-.336,.75-.75,.75s-.75-.336-.75-.75v-3.5Zm.75,7.069c-.552,0-1-.449-1-1s.448-1,1-1,1,.449,1,1-.448,1-1,1Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");
}